default_stages: [commit]
default_language_version:
  python: python3.9

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.0.1
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-added-large-files

  - repo: https://github.com/pre-commit/mirrors-prettier
    rev: "v2.3.2" # Use the sha or tag you want to point at
    hooks:
      - id: prettier
        exclude: "^data_lake_artisan/by_country/unprepared-(datalake|ontology).yaml"
